'use strict';

//If URL has/.well-known/, send request to upstream API service
var customResolver1 = function (host, url) {
  if (/^\/.well-known\//.test(url)) {
    return 'http://localhost:3000';
  }
};

//assign high priority
customResolver1.priority = 100;

var proxy = new require('../../index.js')({
  letsencrypt: {
    path: __dirname + '/certs',
    port: 9999
  },
  port: 8080,
  resolvers: [
    customResolver1
  ],
  secure: true,
  ssl: { port: 4430 },
})

proxy.register("caturra.exactbytes.com", "127.0.0.1:3000", {
  ssl: {
    letsencrypt: {
      email: 'manuel@optimalbits.com',
      production: true
    }
  }
});

/*
proxy.register("dash.com", "localhost:3000", {
  ssl: {
    letsencrypt: 'manuel@optimalbits.com'
  }
});
*/

var http = require('http');

http.createServer(function(req, res){

  res.writeHead(200);
  res.write('HELLO WORLD');
  res.end();

  console.log(req.host);

}).listen(3000);
